package com.ruoyi.web.core.config;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

// Swagger响应字段类型映射 zhao
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface ResponseTypeMap
{
    // 上方右侧Examples下拉框
    public String name();

    // 中间Example Value
    public Class<?> type();

    // 上方左侧mediaType下拉框
    public String mediaType() default "application/json";

    // 下方Example Description
    public String desc() default "";

    // 如果Type包含泛型参数
    public Class<?>[] genericType() default {};
}